Bug 99414 - Windows File Browser displays "OpenOffice" as file type to csv format (calc)
Summary: Windows File Browser displays "OpenOffice" as file type to csv format (calc)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Desktop-Integration
  Show dependency treegraph
 
Reported: 2016-04-20 12:36 UTC by Alvaro
Modified: 2019-12-29 03:54 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (37.87 KB, image/png)
2016-04-20 12:36 UTC, Alvaro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alvaro 2016-04-20 12:36:43 UTC
Created attachment 124531 [details]
Screenshot

Hi. I have installed LibreOffice on Windows 7 and windows 10. It is the only office suite that I have installed. when i work with csv format, the file browser show as file type: OpenOffice.org 1.1 Spreadsheet.

All other file type show open Document (ods, odt, etc)
The csv document is opened with calc when i selected (double click on file)
Libreoffice was installed on a clean windows instalation.
Comment 1 raal 2016-04-20 21:20:00 UTC
I can confirm on win10 - libreoffice is only office suite installed.
Comment 2 Adolfo Jayme 2016-04-27 06:58:03 UTC
I have no idea where is that string coming from — I couldn’t find it in Pootle nor in OpenGrok. Well, at least we know it’s not a mistake in the Spanish translation.
Comment 3 Adolfo Jayme 2016-04-27 12:15:48 UTC
(Trying to submit this comment again after Bugzilla downtime…)

OK, I’ve found the string: http://opengrok.libreoffice.org/xref/core/scp2/source/calc/registryitem_calc.ulf#23

… So the bug (apparently) is, comma-separated value (.csv) files are being misdetected as old .sxw spreadsheets…
Comment 4 V Stuart Foote 2016-04-27 15:26:15 UTC
It gets written into the Windows registry on installation, .CSV has had an OpenOffice assigned OpenWithProgIDs registry entry since 2005.

http://opengrok.libreoffice.org/xref/core/scp2/source/calc/registryitem_calc.scp#1068

When Jesús reworked names to allow LibreOffice to be installed alongside OpenOffice--we probably should have added an association for .CSV with LibreOffice Calc.  I think the legacy association that *we* alone maintain in the package could be dropped in favor of a Calc OpenWithProgramIDs association.

Looks like we probably should break the linkage to soffice.StarCalcDocument.6 -- {7B342DC$-139A-4A46-8A93-DB0827CCEE9C}-- and instead associate with Calc (LibreOffice.CalcDocument.1 with the {7BC0E713-5703-45BE-A29D-5D46D8B39262} persistent handler, but may need a friendly name.

Might be useful to include the .csv in the http://opengrok.libreoffice.org/xref/core/shell/source/win32/shlxthandler/util/fileextensions.cxx

@Jesús, do you have any time for this?
Comment 5 QA Administrators 2017-05-22 13:38:38 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-29 03:28:51 UTC
Dear Alvaro,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug